Bug 1567121 (CVE-2018-2814) - CVE-2018-2814 OpenJDK: incorrect handling of Reference clones can lead to sandbox bypass (Hotspot, 8192025)
Summary: CVE-2018-2814 OpenJDK: incorrect handling of Reference clones can lead to san...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2018-2814
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1724843 1724844 1559768 1559769 1559770 1559771 1559773 1559774 1559775 1559776 1565346 1565347 1565348 1565349 1565350 1565351 1565352 1565353 1565511 1565512 1565513 1565514
Blocks: 1559778
TreeView+ depends on / blocked
 
Reported: 2018-04-13 13:01 UTC by Tomas Hoger
Modified: 2019-09-29 14:37 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-03 12:28:53 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:1188 None None None 2018-04-19 16:59:42 UTC
Red Hat Product Errata RHSA-2018:1191 None None None 2018-04-19 18:00:22 UTC
Red Hat Product Errata RHSA-2018:1201 None None None 2018-04-23 17:11:36 UTC
Red Hat Product Errata RHSA-2018:1202 None None None 2018-04-23 17:14:46 UTC
Red Hat Product Errata RHSA-2018:1203 None None None 2018-04-23 17:19:47 UTC
Red Hat Product Errata RHSA-2018:1204 None None None 2018-04-23 17:17:19 UTC
Red Hat Product Errata RHSA-2018:1205 None None None 2018-04-23 17:21:50 UTC
Red Hat Product Errata RHSA-2018:1206 None None None 2018-04-23 17:29:40 UTC
Red Hat Product Errata RHSA-2018:1270 None None None 2018-04-30 16:17:23 UTC
Red Hat Product Errata RHSA-2018:1278 None None None 2018-05-02 22:06:18 UTC

Description Tomas Hoger 2018-04-13 13:01:26 UTC
A flaw was found in the way the Hotspot component of OpenJDK handled clones of the java.lang.ref.Reference objects.  An untrusted Java application or applet could use this flaw to bypass Java sandbox restrictions.

Comment 1 Tomas Hoger 2018-04-17 20:43:05 UTC
Public now via Oracle CPU April 2018:

http://www.oracle.com/technetwork/security-advisory/cpuapr2018-3678067.html#AppendixJAVA

The issue was fixed in Oracle JDK 10.0.1, 8u171, 7u181, and 6u191.

Comment 2 errata-xmlrpc 2018-04-19 16:59:37 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2018:1188 https://access.redhat.com/errata/RHSA-2018:1188

Comment 3 errata-xmlrpc 2018-04-19 18:00:16 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:1191 https://access.redhat.com/errata/RHSA-2018:1191

Comment 4 Tomas Hoger 2018-04-20 20:45:15 UTC
OpenJDK-8 upstream commit:

http://hg.openjdk.java.net/jdk8u/jdk8u/hotspot/rev/08326a76b148

Comment 5 errata-xmlrpc 2018-04-23 17:11:29 UTC
This issue has been addressed in the following products:

  Oracle Java for Red Hat Enterprise Linux 7

Via RHSA-2018:1201 https://access.redhat.com/errata/RHSA-2018:1201

Comment 6 errata-xmlrpc 2018-04-23 17:14:40 UTC
This issue has been addressed in the following products:

  Oracle Java for Red Hat Enterprise Linux 6

Via RHSA-2018:1202 https://access.redhat.com/errata/RHSA-2018:1202

Comment 7 errata-xmlrpc 2018-04-23 17:17:14 UTC
This issue has been addressed in the following products:

  Oracle Java for Red Hat Enterprise Linux 7

Via RHSA-2018:1204 https://access.redhat.com/errata/RHSA-2018:1204

Comment 8 errata-xmlrpc 2018-04-23 17:19:41 UTC
This issue has been addressed in the following products:

  Oracle Java for Red Hat Enterprise Linux 6

Via RHSA-2018:1203 https://access.redhat.com/errata/RHSA-2018:1203

Comment 9 errata-xmlrpc 2018-04-23 17:21:44 UTC
This issue has been addressed in the following products:

  Oracle Java for Red Hat Enterprise Linux 7

Via RHSA-2018:1205 https://access.redhat.com/errata/RHSA-2018:1205

Comment 10 errata-xmlrpc 2018-04-23 17:29:34 UTC
This issue has been addressed in the following products:

  Oracle Java for Red Hat Enterprise Linux 6

Via RHSA-2018:1206 https://access.redhat.com/errata/RHSA-2018:1206

Comment 11 errata-xmlrpc 2018-04-30 16:17:17 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2018:1270 https://access.redhat.com/errata/RHSA-2018:1270

Comment 12 errata-xmlrpc 2018-05-02 22:06:13 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:1278 https://access.redhat.com/errata/RHSA-2018:1278


Note You need to log in before you can comment on or make changes to this bug.